VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo:
[legend]

## Public Member Functions

| SparseBufferMemoryBindInfo (Buffer buffer_=Buffer(), uint32_t bindCount_=0, const SparseMemoryBind *pBinds_=nullptr)
| SparseBufferMemoryBindInfo (VkSparseBufferMemoryBindInfo const &rhs)
SparseBufferMemoryBindInfo & | operator= (VkSparseBufferMemoryBindInfo const &rhs)
SparseBufferMemoryBindInfo & | setBuffer (Buffer buffer_)
SparseBufferMemoryBindInfo & | setBindCount (uint32_t bindCount_)
SparseBufferMemoryBindInfo & | setPBinds (const SparseMemoryBind *pBinds_)
| operator VkSparseBufferMemoryBindInfo const & () const
| operator VkSparseBufferMemoryBindInfo & ()
bool | operator== (SparseBufferMemoryBindInfo const &rhs) const
bool | operator!= (SparseBufferMemoryBindInfo const &rhs) const

## Data Fields

Buffer | buffer
uint32_t | bindCount
const SparseMemoryBind * | pBinds

## Detailed Description

Definition at line 26333 of file vulkan.hpp.

## Constructor & Destructor Documentation

## SparseBufferMemoryBindInfo() [1/2]

VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::SparseBufferMemoryBindInfo | ( | Buffer | buffer_ = `Buffer()`,
|  | uint32_t | bindCount_ = `0`,
|  | const SparseMemoryBind * | pBinds_ = `nullptr`
| ) |  |

inline

Definition at line 26335 of file vulkan.hpp.

: buffer( buffer_ )
, bindCount( bindCount_ )
, pBinds( pBinds_ )
{
}

## SparseBufferMemoryBindInfo() [2/2]

VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::SparseBufferMemoryBindInfo | ( | VkSparseBufferMemoryBindInfo const & | rhs | ) |

inline

Definition at line 26344 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SparseBufferMemoryBindInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkSparseBufferMemoryBindInfo &()

VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::operator VkSparseBufferMemoryBindInfo & | ( |  | ) |

inline

Definition at line 26377 of file vulkan.hpp.

{
return *reinterpret_cast<VkSparseBufferMemoryBindInfo*>(this);
}

## operator VkSparseBufferMemoryBindInfo const &()

VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::operator VkSparseBufferMemoryBindInfo const & | ( |  | ) | const

inline

Definition at line 26372 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSparseBufferMemoryBindInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::operator!= | ( | SparseBufferMemoryBindInfo const & | rhs | ) | const

inline

Definition at line 26389 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

SparseBufferMemoryBindInfo& VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::operator= | ( | VkSparseBufferMemoryBindInfo const & | rhs | ) |

inline

Definition at line 26349 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SparseBufferMemoryBindInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::operator== | ( | SparseBufferMemoryBindInfo const & | rhs | ) | const

inline

Definition at line 26382 of file vulkan.hpp.

{
return ( buffer == rhs.buffer )
&& ( bindCount == rhs.bindCount )
&& ( pBinds == rhs.pBinds );
}

References bindCount, buffer, and pBinds.

Referenced by operator!=().

## setBindCount()

SparseBufferMemoryBindInfo& VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::setBindCount | ( | uint32_t | bindCount_ | ) |

inline

Definition at line 26360 of file vulkan.hpp.

{
bindCount = bindCount_;
return *this;
}

References bindCount.

## setBuffer()

SparseBufferMemoryBindInfo& VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::setBuffer | ( | Buffer | buffer_ | ) |

inline

Definition at line 26354 of file vulkan.hpp.

{
buffer = buffer_;
return *this;
}

## setPBinds()

SparseBufferMemoryBindInfo& VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::setPBinds | ( | const SparseMemoryBind * | pBinds_ | ) |

inline

Definition at line 26366 of file vulkan.hpp.

{
pBinds = pBinds_;
return *this;
}

References pBinds.

## Field Documentation

## bindCount

uint32_t VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::bindCount

Definition at line 26395 of file vulkan.hpp.

Referenced by operator==(), and setBindCount().

## buffer

Buffer VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::buffer

Definition at line 26394 of file vulkan.hpp.

Referenced by operator==().

## pBinds

const SparseMemoryBind* VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::pBinds

Definition at line 26396 of file vulkan.hpp.

Referenced by operator==(), and setPBinds().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkSparseBufferMemoryBindInfo
Definition: vulkan_core.h:2114
memcpy
#define memcpy
Definition: SDL_malloc.c:630
buffer
GLuint buffer
Definition: SDL_opengl_glext.h:533
VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::pBinds
const SparseMemoryBind * pBinds
Definition: vulkan.hpp:26396
VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::operator==
bool operator==(SparseBufferMemoryBindInfo const &rhs) const
Definition: vulkan.hpp:26382
VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::SparseBufferMemoryBindInfo
SparseBufferMemoryBindInfo(Buffer buffer_=Buffer(), uint32_t bindCount_=0, const SparseMemoryBind *pBinds_=nullptr)
Definition: vulkan.hpp:26335
VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::bindCount
uint32_t bindCount
Definition: vulkan.hpp:26395
VULKAN_HPP_NAMESPACE::SparseBufferMemoryBindInfo::buffer
Buffer buffer
Definition: vulkan.hpp:26394